Bug 101894 - Copying a single sheet with a chart on it garbles the chart on the new sheet
Summary: Copying a single sheet with a chart on it garbles the chart on the new sheet
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-09-04 16:14 UTC by steve
Modified: 2016-09-30 15:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
simple sheet with chart and garbled copy of it (23.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-09-04 16:14 UTC, steve
Details

Note You need to log in before you can comment on or make changes to this bug.
Description steve 2016-09-04 16:14:34 UTC
Created attachment 127144 [details]
simple sheet with chart and garbled copy of it

Copying a single sheet with a chart on it garbles the chart on the new sheet.
Comment 1 m.a.riosv 2016-09-04 16:51:31 UTC
Reproducible.
Data series change from $Sheet1.$B$7:$M$11 to $Sheet1_2.$B$7:$M$9

Win10x64
Version: 5.2.1.2 (x64)
Build ID: 31dd62db80d4e60af04904455ec9c9219178d620
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; 
Locale: es-ES (es_ES); Calc: CL

regression from
Version: 5.1.5.2 (x64)
Build ID: 7a864d8825610a8c07cfc3bc01dd4fce6a9447e5
CPU Threads: 1; OS Version: Windows 6.19; UI Render: default; 
Locale: es-ES (es_ES); Calc: CL
Comment 2 Xisco Faulí 2016-09-13 10:15:00 UTC
Adding keyword 'bibisectRequest'
Comment 3 raal 2016-09-16 13:31:28 UTC
This seems to have begun at the below commit.
Adding Cc: to noelgrandin@gmail.com; Could you possibly take a look at this one? Thanks

 authorNoel Grandin <noelgrandin@gmail.com>2016-03-08 18:41:21 (GMT) committerEike Rathke <erack@redhat.com>2016-04-01 13:09:21 (GMT) commit86e9ef21a06a9babefb778dfc3e02118d371d70d (patch)


ea45f939f476e15efdb335f67f0da19012d49ff7 is the first bad commit
commit ea45f939f476e15efdb335f67f0da19012d49ff7
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sat Apr 2 23:28:11 2016 -0700
    source sha:86e9ef21a06a9babefb778dfc3e02118d371d70d
    source sha:86e9ef21a06a9babefb778dfc3e02118d371d70d
:040000 040000 7e4809038d099cca46d0f981189fb86fc90207aa 5845131e1063dc48fc3e075eec9a5ce2ab08ad67 M      instdir

git bisect log
# bad: [6380ca07b05f68dedcaa379302cfe1fa478571c4] source sha:60b74fe1775e647545d2da1fcc58a4c63ec18aa5
# good: [1f670510f08cb800cbae2a1dd6ea70d3542e4721] source sha:49c2b9808df8a6b197dec666dfc0cda6321a4306
git bisect start 'origin/master' 'oldest'
# good: [38f37b8ec1a2d199bb957cfd2581df7d1b273b74] source sha:c0da1080b61a1d51654fc34fdaeba373226065ff
git bisect good 38f37b8ec1a2d199bb957cfd2581df7d1b273b74
# bad: [11ae494d8c566f23e0ef84ba0cc25fb1388b67f7] source sha:470cfa9860232ab70e017e6084d80f80d469555c
git bisect bad 11ae494d8c566f23e0ef84ba0cc25fb1388b67f7
# good: [d247d25062e6cc4afccdc3c4be84a2b98523b36a] source sha:150c1dcab007dd8acc1551791f42eef692f9e531
git bisect good d247d25062e6cc4afccdc3c4be84a2b98523b36a
# good: [812f064e57b17d51c4e0804fb39e13f0e0661ff2] source sha:8d123bf1491bcc7415f4dde3ddd397a11146bb38
git bisect good 812f064e57b17d51c4e0804fb39e13f0e0661ff2
# bad: [fc6f60be6054e53ea6e60c142d9cbd08cc84ff40] source sha:b9792cb9553abb11cc3c7fb6c68a88f716b07b57
git bisect bad fc6f60be6054e53ea6e60c142d9cbd08cc84ff40
# skip: [2961703c59c874ca4589a2343de06e7ae7418fdc] source sha:e0f9bb795251d950b5dd960fcd030170c8eb67aa
git bisect skip 2961703c59c874ca4589a2343de06e7ae7418fdc
# good: [23859291ffa11744717e4650c5ecb755f1d47c64] source sha:403793990c1258db5b2bc4f709e6028a3d5ea2cb
git bisect good 23859291ffa11744717e4650c5ecb755f1d47c64
# skip: [56f262dcc27791b4ddc67f7c7d2772e9f002d5db] source sha:c1b90fa342e09ab30068f6294fc866c63d7ae4c4
git bisect skip 56f262dcc27791b4ddc67f7c7d2772e9f002d5db
# good: [b688e34ee65388911289c9937a615bdb353067f9] source sha:84fd42c1f58627f3e03ee6062fa2812a4890d941
git bisect good b688e34ee65388911289c9937a615bdb353067f9
# skip: [f3acb3aa63f76ac0692682e63ff561fdb1467e13] source sha:ac19ed0fed3197af2ed3f07e00185befcb90a8fe
git bisect skip f3acb3aa63f76ac0692682e63ff561fdb1467e13
# skip: [7bccd5696ac7d2200006ca2ad80f1aec1a313435] source sha:890e13344ba83ef9f06bb5a8cde0f068ecb3c7a6
git bisect skip 7bccd5696ac7d2200006ca2ad80f1aec1a313435
# bad: [a361bff6b247a3e30c11b1948f5b3aa18f77cf8a] source sha:3946f73128a83345cf4cbfd6623851693a8da460
git bisect bad a361bff6b247a3e30c11b1948f5b3aa18f77cf8a
# good: [a7bd9fff032d631e14dfc55c02ca043181e1c179] source sha:c906657cc0ff58e22ef2950878aa32b34cb71a99
git bisect good a7bd9fff032d631e14dfc55c02ca043181e1c179
# bad: [ea45f939f476e15efdb335f67f0da19012d49ff7] source sha:86e9ef21a06a9babefb778dfc3e02118d371d70d
git bisect bad ea45f939f476e15efdb335f67f0da19012d49ff7
# good: [3912bd242d7046859c511391cc61a2f7390abf3f] source sha:8dc3b88b567d5fc4a75453654da860c47ae16403
git bisect good 3912bd242d7046859c511391cc61a2f7390abf3f
# good: [c8f66609af45e7cc892d6995aefb1633f84265e7] source sha:64a06ba4bd35e91acd1d9743f9851904eebd1add
git bisect good c8f66609af45e7cc892d6995aefb1633f84265e7
# good: [eac08984e6e03b5a59c83100f4b8850fed31a62b] source sha:29da3a4a71b964df0a9337a9d554a8b94c484635
git bisect good eac08984e6e03b5a59c83100f4b8850fed31a62b
# first bad commit: [ea45f939f476e15efdb335f67f0da19012d49ff7] source sha:86e9ef21a06a9babefb778dfc3e02118d371d70d
Comment 4 Noel Grandin 2016-09-16 13:39:20 UTC
OOh, that a fairly obvious bug :-(, will have a patch out soon.
Comment 5 Commit Notification 2016-09-22 08:17:55 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=476ceebf4bc1b244dcdb34a743ce5c851a959952

tdf#101894 Copying a single sheet with a chart on it garbles the chart

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 m.a.riosv 2016-09-23 14:35:23 UTC
Verified:
Win10x64
Version: 5.3.0.0.alpha0+
Build ID: 70c7e82003a539ed7f7ccbe596bde5ac9031d15c
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-09-23_06:53:48
Locale: es-ES (es_ES); Calc: CL
Comment 7 Commit Notification 2016-09-30 15:43:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=390cc253e2e54d8df61bd21e01ff6a9decb69cc7&h=libreoffice-5-2

tdf#101894 Copying a single sheet with a chart on it garbles the chart

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.